So Long as they Fear (letthemhate) wrote in netbsd,
So Long as they Fear
letthemhate
netbsd

NetBSD Security Advisory 2004-009

possible remote root vulnerability in lukemftpd/tnftpd in netbsd dists from 1.5 to 2.0 prior to august 15th of 2004, and netbsd-current prior to august 10th of 2004. advisory can be read here: ftp://ftp.netbsd.org/pub/NetBSD/security/advisories/NetBSD-SA2004-009.txt.asc

personal suggestion: pure-ftpd is a very fast, secure, stable, and very sexy replacement for the default ftpd. supports virtual users, independant chroots per user/virtual chroots, ssl tunneling, and so on. it can be found at: /usr/pkgsrc/net/pure-ftpd and here's the info page: http://pkgsrc.netbsd.se/?cat=search&pkg=34843

if you decide to stay with the default ftpd, patch em up!
Subscribe

  • Compile a program for me - please!

    Good evening all. I have an old machine that runs NetBSD. I want to use it to run PLT Scheme programs. Trouble is, it has so little memory that…

  • remove the base system component

    Greets. I’m digging in to pkgsrc now and I want to install X.org, but during the installation I had chosen to install XFree86 -- just to test if X…

  • NFS tuning

    Hi! I'm using NetBSD on an old notebook as a multipurpose server. I've installed nfsd on my NAS to let NetBSD access file archives. Samba doesn't…

  • Post a new comment

    Error

    Anonymous comments are disabled in this journal

    default userpic
  • 0 comments